Find Payment Admission Task
curl --request GET \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id} \
--header 'X-PAYLIAS-API-KEY: <api-key>' \
--header 'x-org-id: <x-org-id>' \
--header 'x-partner-id: <x-partner-id>'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id}"
headers = {
"x-org-id": "<x-org-id>",
"x-partner-id": "<x-partner-id>",
"X-PAYLIAS-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-org-id': '<x-org-id>',
'x-partner-id': '<x-partner-id>',
'X-PAYLIAS-API-KEY': '<api-key>'
}
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"admission_id": "pay_adm_cvk3rfk20or8munut3v0",
"assignee": 1,
"status": 1,
"status_reason": 1,
"created_on": 1743273406,
"modified_on": 1743273406,
"name": "customer_authentication",
"organization_id": "org_ct239n420or249k5bo90",
"partner_id": "part_ct23b6420or249k5boag",
"payment_id": "cjes76vsemvj3obsnc53",
"token": "pat_cvk3rfk20or8munut400",
"workflow": "customer_authentication"
}
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"code": "error.unauthorized",
"message": "Authentication required"
}{
"code": "error.not_found",
"message": "Requested resource not found"
}Admission Tasks
Find Payment Admission Task
Find Payment Admission Task
GET
/
api
/
v1
/
csp
/
payments
/
{payment_id}
/
admissions
/
{admission_id}
/
tasks
/
{task_id}
Find Payment Admission Task
Authorizations
Headers
The Organization ID header used for authorization
The Partner ID header used for authorization
Path Parameters
The unique identifier for the payment
Example:
"pay_123456789"
The unique identifier for the admission
Example:
"adm_ct23b6420or249k5boag"
The unique identifier for the task
Example:
"task_ct23c1420or249k5bocg"
Was this page helpful?
⌘I